<?php
namespace Claromentis\Stat\Telemetry;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\DAL\Db;
interface DataCollectorInterface
{
    
    
    
    
    
    
    
    public function Generate(Db $db);
    
    
    
    
    
    
    public function GetAsArray();
    
    
    
    
    
    
    public function GetAsJSON();
}